package com.appizipay

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class NavigationActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_navigation)

        // Solo agregar el fragmento si no ha sido restaurado
        if (savedInstanceState == null) {
            val fragment = HomeFragment() // O el que necesites
            //fragment.arguments = intent.extras // pasar extras si es necesario
            supportFragmentManager.beginTransaction()
                .replace(R.id.fragment_container, fragment)
                .commit()
        }
    }
}